summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/gmorgan')
-rw-r--r--media-sound/gmorgan/Manifest2
-rw-r--r--media-sound/gmorgan/files/gmorgan-0.70-cxxflags.patch11
-rw-r--r--media-sound/gmorgan/files/gmorgan-cflags.patch13
-rw-r--r--media-sound/gmorgan/gmorgan-0.39.ebuild42
-rw-r--r--media-sound/gmorgan/gmorgan-0.70.ebuild33
-rw-r--r--media-sound/gmorgan/metadata.xml8
6 files changed, 109 insertions, 0 deletions
diff --git a/media-sound/gmorgan/Manifest b/media-sound/gmorgan/Manifest
new file mode 100644
index 000000000000..35cc1ef8984b
--- /dev/null
+++ b/media-sound/gmorgan/Manifest
@@ -0,0 +1,2 @@
+DIST gmorgan-0.70.tar.gz 7010268 SHA256 be9da04dffecb879583eab221217a40ecec3dea22b5538f10cd65191a87abe01 SHA512 d003b8e06707b6e3d707caa368f916a932a3e2f21927c90f3918e28705d2185d56661aa5fd937370b8f5c23ef1873510fd6848d7eba6ee4aa57df1a608cda3b6 WHIRLPOOL 9557eac232201a0a75d26d8d50a04fa96afb17d077d0836d7e7220457d37868c565a3497125453990f18c087d9298319f999075102a62dfef180fa9e9decf915
+DIST gmorgan_0.39.tar.gz 1370780 SHA256 37f6c3d4b43c415e0edaf5d8acc80d7a60fb9318f684acde0eaa723f3ef58b56
diff --git a/media-sound/gmorgan/files/gmorgan-0.70-cxxflags.patch b/media-sound/gmorgan/files/gmorgan-0.70-cxxflags.patch
new file mode 100644
index 000000000000..61225fc07c29
--- /dev/null
+++ b/media-sound/gmorgan/files/gmorgan-0.70-cxxflags.patch
@@ -0,0 +1,11 @@
+--- gmorgan-0.70/configure.in
++++ gmorgan-0.70/configure.in
+@@ -15,7 +15,7 @@
+ AC_CHECK_FUNCS([bzero memset select strdup])
+ AM_GNU_GETTEXT([external])
+ LIBS="`fltk-config --use-images --ldflags` -lasound"
+-CXXFLAGS=" `fltk-config --use-images --cxxflags`"
++CXXFLAGS="${CXXFLAGS} `fltk-config --use-images --cxxflags`"
+ AC_CHECK_HEADERS([unistd.h])
+ AC_CHECK_HEADER(alsa/asoundlib.h, true, AC_MSG_ERROR([Alsa is required]))
+ AC_PATH_PROG(FLTK_CONFIG, fltk-config, no)
diff --git a/media-sound/gmorgan/files/gmorgan-cflags.patch b/media-sound/gmorgan/files/gmorgan-cflags.patch
new file mode 100644
index 000000000000..83c2c01a5745
--- /dev/null
+++ b/media-sound/gmorgan/files/gmorgan-cflags.patch
@@ -0,0 +1,13 @@
+Index: gmorgan_0.39/configure.in
+===================================================================
+--- gmorgan_0.39.orig/configure.in
++++ gmorgan_0.39/configure.in
+@@ -15,7 +15,7 @@ AC_FUNC_SELECT_ARGTYPES
+ AC_CHECK_FUNCS([bzero memset select strdup])
+ AM_GNU_GETTEXT([external])
+ LIBS="`fltk-config --use-images --ldflags` -lasound"
+-CXXFLAGS="`fltk-config --use-images --cxxflags`"
++CXXFLAGS="${CXXFLAGS} `fltk-config --use-images --cxxflags`"
+ AC_CHECK_HEADERS([unistd.h])
+ AC_CHECK_HEADER(alsa/asoundlib.h, true, AC_MSG_ERROR([Alsa is required]))
+ AC_PATH_PROG(FLTK_CONFIG, fltk-config, no)
diff --git a/media-sound/gmorgan/gmorgan-0.39.ebuild b/media-sound/gmorgan/gmorgan-0.39.ebuild
new file mode 100644
index 000000000000..02b20c629a76
--- /dev/null
+++ b/media-sound/gmorgan/gmorgan-0.39.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils autotools
+
+MY_P=${PN}_${PV}
+DESCRIPTION="Opensource software rhythm station"
+HOMEPAGE="http://gmorgan.sourceforge.net/"
+SRC_URI="mirror://sourceforge/gmorgan/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="
+ media-libs/alsa-lib
+ x11-libs/fltk:1"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-cflags.patch"
+
+ # Stolen from enlightenment.eclass
+ cp $(type -p gettextize) "${T}/" || die "Could not copy gettextize"
+ sed -i -e 's:read dummy < /dev/tty::' "${T}/gettextize"
+
+ einfo "Running gettextize -f --no-changelog..."
+ ( "${T}/gettextize" -f --no-changelog > /dev/null ) || die "gettexize failed"
+
+ eautoreconf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS NEWS README || die
+}
diff --git a/media-sound/gmorgan/gmorgan-0.70.ebuild b/media-sound/gmorgan/gmorgan-0.70.ebuild
new file mode 100644
index 000000000000..74c9a8b17a88
--- /dev/null
+++ b/media-sound/gmorgan/gmorgan-0.70.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Opensource software rhythm station"
+HOMEPAGE="http://gmorgan.sourceforge.net/"
+SRC_URI="mirror://sourceforge/gmorgan/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="media-libs/alsa-lib
+ x11-libs/fltk:1"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+DOCS=(AUTHORS ChangeLog NEWS README)
+
+PATCHES=( "${FILESDIR}/${P}-cxxflags.patch" )
+
+src_configure() {
+ econf \
+ $(use_enable nls)
+}
diff --git a/media-sound/gmorgan/metadata.xml b/media-sound/gmorgan/metadata.xml
new file mode 100644
index 000000000000..f507623abb56
--- /dev/null
+++ b/media-sound/gmorgan/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proaudio</herd>
+ <upstream>
+ <remote-id type="sourceforge">gmorgan</remote-id>
+ </upstream>
+</pkgmetadata>